curl --request GET \
--url 'https://api-sandbox.uqpaytech.com/api/v1/stocks/position' \
--header "Content-Type: application/json" \
--header "x-auth-token: Bearer ${SANDBOX_TOKEN}"
{
"data": [
{
"asset_id": "7453f146-b267-11f1-b4f4-0abd773ba497",
"available_quantity": "0.00297066689243735",
"frozen_quantity": "0",
"quantity": "0.00297066689243735",
"symbol": "AAPLx",
"updated_at": "2026-09-21T01:50:53.852Z"
}
],
"total_items": 1,
"total_pages": 1
}
Stocks
List positions
List effective asset holdings, including available and frozen quantities.
GET
/
position
curl --request GET \
--url 'https://api-sandbox.uqpaytech.com/api/v1/stocks/position' \
--header "Content-Type: application/json" \
--header "x-auth-token: Bearer ${SANDBOX_TOKEN}"
{
"data": [
{
"asset_id": "7453f146-b267-11f1-b4f4-0abd773ba497",
"available_quantity": "0.00297066689243735",
"frozen_quantity": "0",
"quantity": "0.00297066689243735",
"symbol": "AAPLx",
"updated_at": "2026-09-21T01:50:53.852Z"
}
],
"total_items": 1,
"total_pages": 1
}
curl --request GET \
--url 'https://api-sandbox.uqpaytech.com/api/v1/stocks/position' \
--header "Content-Type: application/json" \
--header "x-auth-token: Bearer ${SANDBOX_TOKEN}"
{
"data": [
{
"asset_id": "7453f146-b267-11f1-b4f4-0abd773ba497",
"available_quantity": "0.00297066689243735",
"frozen_quantity": "0",
"quantity": "0.00297066689243735",
"symbol": "AAPLx",
"updated_at": "2026-09-21T01:50:53.852Z"
}
],
"total_items": 1,
"total_pages": 1
}
Authorizations
The API token for login provided by UQPAY.
Query Parameters
The page number to retrieve.
Required range:
1 <= x <= 1000000The maximum number of items to return per page.
Required range:
1 <= x <= 100Asset identifier returned by List assets.
Filter by asset symbol.
Maximum string length:
32Response
Success
Items on this page. An empty array can indicate no matches or a page beyond the last result.
Show child attributes
Show child attributes
Number of result pages for the requested page size.
Required range:
x >= 0Example:
1
Number of matching items across all pages.
Required range:
x >= 0Example:
1

